Skip to main content
GET
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
balance
Get balance across all chains
curl --request GET \
  --url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/balance \
  --header 'X-API-Key: <api-key>'
{
  "status": "<string>",
  "data": {
    "accountId": "<string>",
    "safeAddress": "<string>",
    "perChain": [
      {
        "chainId": 123,
        "vaultAddress": "<string>",
        "total": {},
        "totalUnderlying": "<string>",
        "totalUnderlyingDecimals": 123,
        "heldAssets": [
          {
            "address": "<string>",
            "symbol": "<string>",
            "chainId": 123
          }
        ]
      }
    ],
    "total": {},
    "heldAssets": [
      {
        "address": "<string>",
        "symbol": "<string>",
        "chainId": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Server-to-server API key

Path Parameters

accountTypeId
string
required
accountId
string<uuid>
required

Query Parameters

startDate
string
endDate
string

Response

Success

status
string
required
Allowed value: "success"
data
object
required
Last modified on May 29, 2026